package Linode::Longview::DataGetter;

use Exporter;
@ISA       = qw(Exporter);
@EXPORT_OK = qw(get);

use Linode::Longview::Util;
use Linode::Longview::DataGetter::Memory;
use Linode::Longview::DataGetter::Disk;
use Linode::Longview::DataGetter::Network;
use Linode::Longview::DataGetter::SysInfo;
use Linode::Longview::DataGetter::CPU;
use Linode::Longview::DataGetter::Processes;
use Linode::Longview::DataGetter::Load;
use Linode::Longview::DataGetter::Uptime;
use Linode::Longview::DataGetter::Packages;
use Linode::Longview::DataGetter::Ports;

use Data::Printer;

sub get {
	my ($key,$dataref) = @_;
	#my $data = shift or die "Nothing to get: $!";
	my $ret = eval "Linode::Longview::DataGetter::${key}::get(\${dataref})";
	warn $@ if $@;
	return $ret;
}
