package Linode::Longview::DataGetter::Packages::APT;

use Linux::APT;

use Exporter 'import';
our @EXPORT_OK = (qw(get));

sub get {
	my $dataref = shift;
	my $apt = Linux::APT->new( aptget => '/usr/bin/apt-get' );
	$apt->update;
	$apt = Linux::APT->new( aptget => '/usr/bin/apt-get -s' );
	my %pkgs = %{ $apt->toupgrade()->{packages} };
	my @ret  = map {
		{ name => $_, current => $pkgs{$_}{current}, new => $pkgs{$_}{new} }
	} keys %pkgs;
	$dataref->{SYSINFO}->{Packages} = \@ret;
	return $dataref;
}

1;
